libgimpprint API Reference: lut_t struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# lut_t Struct Reference

`#include <color-conversion.h>`

## Data Fields
unsigned | steps
int | channel_depth
int | image_width
int | in_channels
int | out_channels
int | channels_are_initialized
int | invert_output
const color_description_t * | input_color_description
const color_description_t * | output_color_description
const color_correction_t * | color_correction
stp_cached_curve_t | brightness_correction
stp_cached_curve_t | contrast_correction
stp_cached_curve_t | user_color_correction
stp_cached_curve_t | channel_curves [STP_CHANNEL_LIMIT]
double | gamma_values [STP_CHANNEL_LIMIT]
double | print_gamma
double | app_gamma
double | screen_gamma
double | contrast
double | brightness
int | linear_contrast_adjustment
int | printed_colorfunc
stp_cached_curve_t | hue_map
stp_cached_curve_t | lum_map
stp_cached_curve_t | sat_map
stp_cached_curve_t | gcr_curve
unsigned short * | gray_tmp
unsigned short * | cmy_tmp
unsigned short * | cmyk_tmp
unsigned char * | in_data

## Field Documentation

double lut_t::app_gamma

| Definition at line 156 of file color-conversion.h. Referenced by allocate_lut(), copy_lut(), and stpi_compute_lut().

double lut_t::brightness

| Definition at line 159 of file color-conversion.h. Referenced by allocate_lut(), compute_user_correction(), copy_lut(), and stpi_compute_lut().

stp_cached_curve_t lut_t::brightness_correction

| Definition at line 150 of file color-conversion.h. Referenced by compute_user_correction(), copy_lut(), free_lut(), and stpi_compute_lut().

stp_cached_curve_t lut_t::channel_curves[STP_CHANNEL_LIMIT]

| Definition at line 153 of file color-conversion.h. Referenced by compute_a_curve_fast(), compute_a_curve_full(), compute_one_lut(), copy_lut(), free_channels(), generic_cmy_to_kcmy(), and setup_channel().

int lut_t::channel_depth

| Definition at line 141 of file color-conversion.h. Referenced by copy_lut(), and stpi_color_traditional_init().

int lut_t::channels_are_initialized

| Definition at line 145 of file color-conversion.h. Referenced by initialize_channels(), and stpi_color_traditional_get_row().

unsigned short* lut_t::cmy_tmp

| Definition at line 167 of file color-conversion.h. Referenced by free_lut().

unsigned short* lut_t::cmyk_tmp

| Definition at line 168 of file color-conversion.h. Referenced by free_lut().

const color_correction_t* lut_t::color_correction

| Definition at line 149 of file color-conversion.h. Referenced by copy_lut(), stpi_color_convert_raw(), stpi_color_traditional_init(), and stpi_compute_lut().

double lut_t::contrast

| Definition at line 158 of file color-conversion.h. Referenced by allocate_lut(), compute_user_correction(), copy_lut(), and stpi_compute_lut().

stp_cached_curve_t lut_t::contrast_correction

| Definition at line 151 of file color-conversion.h. Referenced by compute_user_correction(), copy_lut(), free_lut(), and stpi_compute_lut().

double lut_t::gamma_values[STP_CHANNEL_LIMIT]

| Definition at line 154 of file color-conversion.h. Referenced by allocate_lut(), compute_a_curve_fast(), compute_a_curve_full(), copy_lut(), and setup_channel().

stp_cached_curve_t lut_t::gcr_curve

| Definition at line 165 of file color-conversion.h. Referenced by copy_lut(), free_lut(), generic_cmy_to_kcmy(), and initialize_gcr_curve().

unsigned short* lut_t::gray_tmp

| Definition at line 166 of file color-conversion.h. Referenced by free_lut().

stp_cached_curve_t lut_t::hue_map

| Definition at line 162 of file color-conversion.h. Referenced by adjust_hsl(), adjust_hsl_bright(), copy_lut(), free_lut(), and stpi_compute_lut().

int lut_t::image_width

| Definition at line 142 of file color-conversion.h. Referenced by copy_lut(), generic_cmy_to_kcmy(), generic_kcmy_to_cmykrb(), raw_cmy_to_kcmy(), raw_kcmy_to_cmykrb(), stpi_color_traditional_get_row(), and stpi_color_traditional_init().

int lut_t::in_channels

| Definition at line 143 of file color-conversion.h. Referenced by copy_lut(), stpi_color_traditional_get_row(), and stpi_color_traditional_init().

unsigned char* lut_t::in_data

| Definition at line 169 of file color-conversion.h. Referenced by copy_lut(), free_lut(), stpi_color_traditional_get_row(), and stpi_color_traditional_init().

const color_description_t* lut_t::input_color_description

| Definition at line 147 of file color-conversion.h. Referenced by channel_is_synthesized(), compute_a_curve_full(), copy_lut(), stpi_color_convert_to_cmykrb(), stpi_color_convert_to_color(), stpi_color_convert_to_gray(), stpi_color_convert_to_kcmy(), stpi_color_traditional_init(), and stpi_compute_lut().

int lut_t::invert_output

| Definition at line 146 of file color-conversion.h. Referenced by compute_one_lut(), copy_lut(), and stpi_compute_lut().

int lut_t::linear_contrast_adjustment

| Definition at line 160 of file color-conversion.h. Referenced by compute_user_correction(), copy_lut(), and stpi_compute_lut().

stp_cached_curve_t lut_t::lum_map

| Definition at line 163 of file color-conversion.h. Referenced by adjust_hsl(), adjust_hsl_bright(), copy_lut(), free_lut(), and stpi_compute_lut().

int lut_t::out_channels

| Definition at line 144 of file color-conversion.h. Referenced by copy_lut(), initialize_channels(), stpi_color_traditional_init(), and stpi_compute_lut().

const color_description_t* lut_t::output_color_description

| Definition at line 148 of file color-conversion.h. Referenced by channel_is_synthesized(), compute_a_curve_full(), copy_lut(), setup_channel(), stpi_color_traditional_get_row(), stpi_color_traditional_init(), and stpi_compute_lut().

double lut_t::print_gamma

| Definition at line 155 of file color-conversion.h. Referenced by allocate_lut(), compute_a_curve_full(), copy_lut(), and stpi_compute_lut().

int lut_t::printed_colorfunc

| Definition at line 161 of file color-conversion.h.

stp_cached_curve_t lut_t::sat_map

| Definition at line 164 of file color-conversion.h. Referenced by adjust_hsl(), copy_lut(), free_lut(), and stpi_compute_lut().

double lut_t::screen_gamma

| Definition at line 157 of file color-conversion.h. Referenced by compute_a_curve_full(), copy_lut(), and stpi_compute_lut().

unsigned lut_t::steps

| Definition at line 140 of file color-conversion.h. Referenced by compute_a_curve_fast(), compute_a_curve_full(), compute_gcr_curve(), compute_one_lut(), compute_user_correction(), copy_lut(), generic_cmy_to_kcmy(), initialize_gcr_curve(), and stpi_color_traditional_init().

stp_cached_curve_t lut_t::user_color_correction

| Definition at line 152 of file color-conversion.h. Referenced by compute_user_correction(), copy_lut(), free_lut(), and stpi_compute_lut().

The documentation for this struct was generated from the following file:

- src/main/color-conversion.h